%define subrel  1

Name: kde4-splash-mdv
Summary: KDE Splash supporting SVG files
Version: 2009.0
Release: %mkrel 5
License: GPL
URL: http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/splash-mdv
Group: Graphical desktop/KDE
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: qt4-devel
BuildRequires: kde4-macros
BuildRequires: kdelibs4-devel

Requires: kde4-config-file

%description
Splash Screen Engine for KDE4 supporting SVG files on the theme

%prep 
%setup -q -n kde4-splash-mdv

%build 
%cmake_kde4 
%make

%install
rm -rf $RPM_BUILD_ROOT
pushd build
%makeinstall_std
popd

mkdir -p %{buildroot}/%{_datadir}/kde4/servicetypes
mkdir -p %{buildroot}/%{_datadir}/kde4/services
cp -a  ksplashplugin.desktop %{buildroot}/%{_datadir}/kde4/servicetypes
cp -a  kde4-splash-mdv.desktop %{buildroot}/%{_datadir}/kde4/services
ln -s %{_bindir}/kde4-splash-mdv %{buildroot}/%{_bindir}/ksplash

%clean 
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/kde4-splash-mdv
%attr(755,root,root) %{_bindir}/ksplash
%{_datadir}/kde4/servicetypes/ksplashplugin.desktop
%{_datadir}/kde4/services/kde4-splash-mdv.desktop
%{_datadir}/locale/*/LC_MESSAGES/kde4-splash-mdv.mo


%changelog
* Fri Dec 12 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2009.0-5.1mdv2009.0
+ Revision: 313599
- Add translations (Bug #44356)

* Tue Sep 30 2008 Arthur Renato Mello <arthur@mandriva.com> 2009.0-5mdv2009.0
+ Revision: 290191
- Adding cache support to SVG images
- Adding default status messages to all splash steps
- Adding translation strings support

* Thu Sep 25 2008 Arthur Renato Mello <arthur@mandriva.com> 2009.0-4mdv2009.0
+ Revision: 288230
- Adding support to --test and --theme

* Wed Sep 24 2008 Arthur Renato Mello <arthur@mandriva.com> 2009.0-3mdv2009.0
+ Revision: 287955
- Adding support to new ksplash themes with system settings information
- Adding KSplash/Plugin service type and service kde4-splash-mdv to make things work properly on system settings

* Tue Sep 23 2008 Arthur Renato Mello <arthur@mandriva.com> 2009.0-2mdv2009.0
+ Revision: 287606
- Make the main window override redirect. Removing some flicks between splash transitions
- Renaming package to a proper name
- Renaming package to a proper name
- Renaming package to a proper name
- Renaming package to a proper name
- Renaming the package to a proper name

* Mon Sep 22 2008 Arthur Renato Mello <arthur@mandriva.com> 2009.0-1mdv2009.0
+ Revision: 287084
- import splash-mdv

